<div class="register-box" th:fragment="modal-register" xmlns:th="http://www.thymeleaf.org">
    <!--/*@thymesVar id="user" type="generated.libraryservice.GeneratedUsager"*/-->
    <!--/*@thymesVar id="errorMessage" type="java.lang.String"*/-->

    <!-- ===== HEADER ===== -->
    <div class="modal-header">
        <h5 class="modal-title" id="registerModalLabel" th:text="#{modal.title.register}"></h5>
        <button aria-label="Close" class="close" data-dismiss="modal" type="button">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <!-- ===== BODY ===== -->
    <div class="modal-body">
        <form id="register-form" method="post" novalidate th:action="@{/user/register}" th:object="${user}">
            <div class="error-message" th:if="${#httpServletRequest.getParameter('registerError') != null}"
                 th:text="${errorMessage}"></div>

            <!-- username -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-at"></i></span>
                </div>
                <input class="form-control input-brown" id="register-email" onkeyup="validateEmail()" required
                       th:field="${user.email}" th:placeholder="#{placeholder.email}" type="email">
            </div>

            <!-- password -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-key"></i></span>
                </div>
                <input class="form-control input-brown" id="register-password" onkeyup="validatePassword(this.id)" required
                       th:field="*{password}" th:placeholder="#{placeholder.password}" type="password">
                <div class="messages"></div>
            </div>

            <!-- confirm password -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-key"></i></span>
                </div>
                <input class="form-control input-brown" id="register-confirm-password" onkeyup="validateConfirmPassword('register-password', this.id)"
                       required th:field="*{confirmPassword}"
                       th:placeholder="#{placeholder.confirmation}" type="password">
                <div class="messages"></div>
            </div>

            <!-- first name -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-user"></i></span>
                </div>
                <input class="form-control input-brown" id="register-firstname" onkeyup="validateBasicData(this.id)" required
                       th:field="*{firstname}" th:placeholder="#{placeholder.firstname}" type="text">
                <div class="messages"></div>
            </div>

            <!-- last name -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-user"></i></span>
                </div>
                <input class="form-control input-brown" id="register-lastname" onkeyup="validateBasicData(this.id)" required
                       th:field="*{lastname}" th:placeholder="#{placeholder.lastname}" type="text">
                <div class="messages"></div>
            </div>

            <!-- address -->
            <div class="input-group form-group">
                <div class="input-group-prepend">
                    <span class="input-group-text"><i class="fas fa-home"></i></span>
                </div>
                <input class="form-control input-brown" id="register-address" onkeyup="validateAddress();" required
                       th:field="*{adress}" th:placeholder="#{placeholder.address}"
                       th:value="${user.adress}" type="text">
                <div class="messages"></div>
            </div>

            <!-- submit -->
            <div class="d-flex justify-content-center">
                <a class="btn btn-outline-lightbrown" href="javascript: submitRegisterForm();"
                   th:text="#{button.register}"></a>
            </div>

            <!-- protection against Cross-Site Request Forgery attacks -->
            <input name="${_csrf.parameterName}" type="hidden" value="${_csrf.token}"/>
        </form>
    </div>

    <!-- ===== FOOTER ===== -->
    <div class="modal-footer flex-column footer-font-size">
        <div>
            <span th:text="#{modal.text.login}"></span>
            <a class="custom-modal-link" href="javascript: showLoginForm();" id="login-link"
               th:text="#{modal.link.login}"></a>
        </div>
        <div>
            <span th:text="#{modal.text.resendemail}"></span>
            <a class="custom-modal-link" href="javascript: showResendEmailForm();"
               th:text="#{modal.link.resendemail}"></a>
        </div>
    </div>
</div>